Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf
Class BusFactory

    java.lang.Object
      org.apache.cxf.BusFactory

    public abstract class BusFactory

extends java.lang.Object

Field Summary
`static java.lang.String` | `BUS_FACTORY_PROPERTY_NAME`
`static java.lang.String` | `DEFAULT_BUS_FACTORY`
`protected static Bus` | `defaultBus`
`protected static java.lang.ThreadLocal<Bus>` | `localBus`

Constructor Summary
`BusFactory()`

Method Summary
`abstract Bus` | `createBus()` Creates a new bus.
`static Bus` | `getDefaultBus()` Returns the default bus, creating it if necessary.
`static Bus` | `getDefaultBus(boolean createIfNeeded)` Returns the default bus
`static Bus` | `getThreadDefaultBus()` Gets the default bus for the thread.
`static Bus` | `getThreadDefaultBus(boolean createIfNeeded)` Gets the default bus for the thread, creating if needed
`protected void` | `initializeBus(Bus bus)`
`static BusFactory` | `newInstance()` Create a new BusFactory The class of the BusFactory is determined by looking for the system propery: org.apache.cxf.bus.factory or by searching the classpath for: META-INF/services/org.apache.cxf.bus.factory
`static BusFactory` | `newInstance(java.lang.String className)` Create a new BusFactory
`static boolean` | `possiblySetDefaultBus(Bus bus)` Sets the default bus if a default bus is not already set.
`static void` | `setDefaultBus(Bus bus)` Sets the default bus.
`static void` | `setThreadDefaultBus(Bus bus)` Sets the default bus for the thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUS_FACTORY_PROPERTY_NAME

    public static final java.lang.String BUS_FACTORY_PROPERTY_NAME

See Also:
  Constant Field Values

### DEFAULT_BUS_FACTORY

    public static final java.lang.String DEFAULT_BUS_FACTORY

See Also:
  Constant Field Values

### defaultBus

    protected static Bus defaultBus

### localBus

    protected static java.lang.ThreadLocal<Bus> localBus

Constructor Detail

### BusFactory

    public BusFactory()

Method Detail

### createBus

    public abstract Bus createBus()

  Creates a new bus. While concrete `BusFactory` may offer differently parametrized methods for creating a bus, all factories support this no-arg factory method.

  Returns:
    the newly created bus.

### getDefaultBus

    public static Bus getDefaultBus()

  Returns the default bus, creating it if necessary.

  Returns:
    the default bus.

### getDefaultBus

    public static Bus getDefaultBus(boolean createIfNeeded)

  Returns the default bus

  Parameters:
    `createIfNeeded` - Set to true to create a default bus if one doesn't exist
  Returns:
    the default bus.

### setDefaultBus

    public static void setDefaultBus(Bus bus)

  Sets the default bus.

  Parameters:
    `bus` - the default bus.

### setThreadDefaultBus

    public static void setThreadDefaultBus(Bus bus)

  Sets the default bus for the thread.

  Parameters:
    `bus` - the default bus.

### getThreadDefaultBus

    public static Bus getThreadDefaultBus()

  Gets the default bus for the thread.

  Returns:
    the default bus.

### getThreadDefaultBus

    public static Bus getThreadDefaultBus(boolean createIfNeeded)

  Gets the default bus for the thread, creating if needed

  Parameters:
    `createIfNeeded` - Set to true to create a default bus if one doesn't exist
  Returns:
    the default bus.

### possiblySetDefaultBus

    public static boolean possiblySetDefaultBus(Bus bus)

  Sets the default bus if a default bus is not already set.

  Parameters:
    `bus` - the default bus.
  Returns:
    true if the bus was not set and is now set

### newInstance

    public static BusFactory newInstance()

  Create a new BusFactory The class of the BusFactory is determined by looking for the system propery: org.apache.cxf.bus.factory or by searching the classpath for: META-INF/services/org.apache.cxf.bus.factory

  Returns:
    a new BusFactory to be used to create Bus objects

### newInstance

    public static BusFactory newInstance(java.lang.String className)

  Create a new BusFactory

  Parameters:
    `className` - The class of the BusFactory to create. If null, uses the default search algorithm.
  Returns:
    a new BusFactory to be used to create Bus objects

### initializeBus

    protected void initializeBus(Bus bus)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.